# `certbot.account`

Creates ACME accounts for server.

class `certbot.account.``Account`(regr, key, meta=None)

  Bases: `object`

  ACME protocol registration.

  Variables:

  - regr (RegistrationResource) – Registration Resource
  - key (JWK) – Authorized Account Key
  - Meta – Account metadata
  - id (str) – Globally unique account identifier.

  class `Meta`(**kwargs)

    Bases: `josepy.json_util.JSONObjectWithFields`

    Account metadata

    Variables:

    - creation_dt (datetime.datetime) – Creation date and time (UTC).
    - creation_host (str) – FQDN of host, where account has been created.

    Note

    `creation_dt` and `creation_host` are useful in cross-machine migration scenarios.

  `slug`

    Short account identification string, useful for UI.

`certbot.account.``report_new_account`(config)

  Informs the user about their new ACME account.

class `certbot.account.``AccountMemoryStorage`(initial_accounts=None)

  Bases: `certbot.interfaces.AccountStorage`

  In-memory account storage.

class `certbot.account.``RegistrationResourceWithNewAuthzrURI`(**kwargs)

  Bases: `acme.messages.RegistrationResource`

  A backwards-compatible RegistrationResource with a new-authz URI.

  Hack: Certbot versions pre-0.11.1 expect to load new_authzr_uri as part of the account. Because people sometimes switch between old and new versions, we will continue to write out this field for some time so older clients don’t crash in that scenario.

class `certbot.account.``AccountFileStorage`(config)

  Bases: `certbot.interfaces.AccountStorage`

  Accounts file storage.

  Variables: | config (IConfig) – Client configuration

  `save_regr`(account, acme)

    Save the registration resource.

    Parameters: | account (Account) – account whose regr should be saved

  `delete`(account_id)

    Delete registration info from disk

    Parameters: | account_id – id of account which should be deleted